import { ButtonBaseComponent } from '../common/button.base.component';
import * as i0 from "@angular/core";
export declare class ButtonComponent extends ButtonBaseComponent {
    set startIconName(value: string);
    set startIconColor(value: string);
    set endIconName(value: string);
    set endIconColor(value: string);
    set selected(value: boolean);
    get selected(): boolean;
    get startIconName(): string;
    get startIconColor(): string;
    get endIconName(): string;
    get endIconColor(): string;
    /** @internal */
    iconName: string;
    private _startIconName;
    private _endIconName;
    private _startIconColor;
    private _endIconColor;
    private _selected;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "fusion-button", never, { "startIconName": { "alias": "startIconName"; "required": false; }; "startIconColor": { "alias": "startIconColor"; "required": false; }; "endIconName": { "alias": "endIconName"; "required": false; }; "endIconColor": { "alias": "endIconColor"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; }, {}, never, ["*"], true, never>;
}
